4480 entries · page 66 of 90

Attribute types

The fields an entry can hold: cn, mail, uidNumber, and several hundred more. Each has a syntax, matching rules, and an OID.

OIDNameDefined in
2.16.840.1.113730.3.1.68ntUserPasswordExpired
2.16.840.1.113730.3.1.534ntUserPrimaryGroupId
2.16.840.1.113730.3.1.59ntUserPriv
2.16.840.1.113730.3.1.67ntUserProfile
2.16.840.1.113730.3.1.524ntUserScriptPath
2.16.840.1.113730.3.1.66ntUserUniqueId
2.16.840.1.113730.3.1.63ntUserUnitsPerWeek
2.16.840.1.113730.3.1.61ntUserUsrComment
2.16.840.1.113730.3.1.525ntUserWorkstations
1.3.1.1.4.1.453.16.2.103numSubordinates
1.3.6.1.4.1.453.16.2.103numSubordinates
1.3.6.1.4.1.2428.20.1.30nXTRecord
2.5.4.10o organizationName, organizationname, Organization-Name, O Organization name. In classic X.500 naming it forms the o= level of the tree; these days it is more often a descriptive …RFC 4519, RFC 2256
1.2.840.113556.1.4.782objectCategory Object-Category
2.5.4.0objectClass Object-Class Names the object classes an entry belongs to, which in turn decide the attributes it may and must hold: one structural …RFC 4512
1.2.840.113556.1.2.370objectClassCategory Object-Class-Category
2.5.21.6objectClasses Object-ClassesRFC 4512
1.3.6.1.4.1.63.1000.1.1.1.22.2objectClassesConfig
1.3.6.1.4.1.11.1.3.1.1.11objectclassMapRFC 4876
1.2.840.113556.1.4.506objectCount Object-Count
1.2.840.113556.1.4.2objectGUID Object-Guid A 128-bit GUID assigned at creation and never changed for the life of the object. It survives renames and moves between …
1.2.840.113556.1.4.146objectSid Object-Sid The security identifier, stored as raw bytes. This, not the DN, is what Windows access-control entries actually …
1.2.840.113556.1.2.76objectVersion Object-Version
1.2.840.113556.1.4.151oEMInformation OEM-Information
2.16.840.1.113730.3.1.215oid
1.3.6.1.4.1.4203.1.12.2.3.0.1olcAccess
1.3.6.1.4.1.4203.1.12.2.3.0.86olcAddContentAcl
1.3.6.1.4.1.4203.1.12.2.3.0.2olcAllows
1.3.6.1.4.1.4203.1.12.2.3.0.3olcArgsFile
1.3.6.1.4.1.4203.1.12.2.3.0.5olcAttributeOptions
1.3.6.1.4.1.4203.1.12.2.3.0.4olcAttributeTypes
1.3.6.1.4.1.4203.1.12.2.3.0.6olcAuthIDRewrite
1.3.6.1.4.1.4203.1.12.2.3.0.7olcAuthzPolicy
1.3.6.1.4.1.4203.1.12.2.3.0.8olcAuthzRegexp
1.3.6.1.4.1.4203.1.12.2.3.0.9olcBackend
1.3.6.1.4.1.4203.1.12.2.3.0.10olcConcurrency
1.3.6.1.4.1.4203.1.12.2.3.0.79olcConfigDir
1.3.6.1.4.1.4203.1.12.2.3.0.78olcConfigFile
1.3.6.1.4.1.4203.1.12.2.3.0.11olcConnMaxPending
1.3.6.1.4.1.4203.1.12.2.3.0.12olcConnMaxPendingAuth
1.3.6.1.4.1.4203.1.12.2.3.0.13olcDatabase
1.3.6.1.4.1.4203.1.12.2.3.0.14olcDefaultSearchBase
1.3.6.1.4.1.4203.1.12.2.3.2.0.21olcDisabled
1.3.6.1.4.1.4203.1.12.2.3.0.15olcDisallows
1.3.6.1.4.1.4203.1.12.2.3.0.16olcDitContentRules
1.3.6.1.4.1.4203.1.12.2.3.2.0.20olcExtraAttrs
1.3.6.1.4.1.4203.1.12.2.3.0.17olcGentleHUP
1.3.6.1.4.1.4203.1.12.2.3.2.0.17olcHidden
1.3.6.1.4.1.4203.1.12.2.3.0.18olcIdleTimeout
1.3.6.1.4.1.4203.1.12.2.3.0.19olcInclude
← All categories